Bug 852849 - Login redirection no longer redirects correctly.
Login redirection no longer redirects correctly.
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Og Maciel
: Triaged
: 862301 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 15:03 EDT by Justin Sherrill
Modified: 2013-09-19 14:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:14:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2012-08-29 15:03:29 EDT
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Be logged out
2.  access /katello/subscriptions  (or some specific page)
3.  Be redirected to login
4.  Login
5.  Select org
  
Actual results:
Org is not selected, so no access is granted to original url.  Get:

403 - Permission denied

You are not authorised to perform this action.

Please request the required privileges from an administrator.



Expected results:
Logged into selected org and redirected to original url
Comment 2 Dmitri Dolguikh 2012-10-01 08:07:53 EDT
can't reproduce.
Comment 3 Og Maciel 2012-10-02 18:49:53 EDT
Was able to reproduce it:

* Was logged as admin and looking at https://[my-cfse-server]/cfse/providers#panel=provider_6&panelpage=products_repos
* Logged out
* Changed the url to https://[my-cfse-server]/cfse/subscriptions and hit enter in the web browser url bar
* Got the login screen
* Typed my admin username and password
* Got the following message in the web ui:

403 - Permission denied

You are not authorised to perform this action.

Please request the required privileges from an administrator.

Back

Environment

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-12.el6cf.noarch
* katello-all-1.1.12-12.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-6.el6cf.noarch
* katello-cli-common-1.1.8-6.el6cf.noarch
* katello-common-1.1.12-12.el6cf.noarch
* katello-configure-1.1.9-6.el6cf.noarch
* katello-glue-candlepin-1.1.12-12.el6cf.noarch
* katello-glue-pulp-1.1.12-12.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 4 Jeff Weiss 2013-01-29 11:30:51 EST
Still happening on 
CloudForms System Engine Version: 1.1.12-25.el6cf 
Katello Version: 1.3.5-1.git.2.ac8ce64.el6
Comment 5 Justin Sherrill 2013-02-12 11:48:31 EST
Note:  In order to reproduce, you need 2 orgs defined.  IF you only have 1 org, you cannot reproduce.
Comment 6 Justin Sherrill 2013-02-12 12:13:31 EST
https://github.com/Katello/katello/pull/1572

cc6c5e65c89eaf0fabbaee48cf59a1b8c752197f
Comment 7 Justin Sherrill 2013-02-12 12:40:22 EST
*** Bug 862301 has been marked as a duplicate of this bug. ***
Comment 8 Mike McCune 2013-08-16 14:03:49 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 9 Mike McCune 2013-09-19 14:14:52 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.